{include file="admin/header.tpl"}

{if $smarty.request.action ne "Edit"}

<div class="page-header">
    <h1>Advertise</h1>
</div>

<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th>ID
                <a href="/admin/adv.php?a={$smarty.request.a}&active={$smarty.request.active}&sort=id+asc">
                    <img src='{$baseurl}/templates/images/up.gif' border='0'>
                </a>
                <a href="/admin/adv.php?a={$smarty.request.a}&active={$smarty.request.active}&sort=id+desc">
                    <img src='{$baseurl}/templates/images/down.gif' border='0'>
                </a>
            </th>
            <th>Advertise Name
                <a href="/admin/adv.php?a={$smarty.request.a}&active={$smarty.request.active}&sort=name+asc">
                    <img src='{$baseurl}/templates/images/up.gif' border='0'>
                </a>
                <a href="/admin/adv.php?a={$smarty.request.a}&active={$smarty.request.active}&sort=name+desc">
                    <img src='{$baseurl}/templates/images/down.gif' border='0'>
                </a>
            </th>
            <th>Active</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        {section name=aa loop=$adv}
        <tr>
            <td>{$adv[aa].id}</td>
            <td>{$adv[aa].name}</td>
            <td>{if $adv[aa].active == 1} Enabled {else } Disabled {/if}</td>
            <td>
                <a href="/admin/adv.php?action=Edit&id={$adv[aa].id}&page={$smarty.request.page}&sort={$smarty.request.sort}" class="btn btn-sm btn-primary">
                    <span class="glyphicon glyphicon-edit"></span> Edit
                </a>
                <a href="/admin/adv.php?action=Active&id={$adv[aa].id}&page={$smarty.request.page}&sort={$smarty.request.sort}" class="btn btn-sm btn-success">
                    Active
                </a>
                <a href="/admin/adv.php?action=Inactive&id={$adv[aa].id}&page={$smarty.request.page}&sort={$smarty.request.sort}" class="btn btn-sm btn-warning">
                    Inactive
                </a>
            </td>
        </tr>
        {sectionelse}
        <tr>
            <td align="center" colspan="4"><br><br>There is no advertisement found.</td>
        </tr>
        {/section}

        <tr class="tablerow">
        <td colspan=4><br>{$links}</td>
        </tr>
    </tbody>
</table>

{else}

<div class="page-header">
    <h1>Edit Advertise: {$adv.name}</h1>
</div>

<strong>Preview</strong><br>
{insert name=advertise adv=$adv.name}
<br>

<form action="/admin/adv.php?action=Edit&id={$smarty.request.id}" method="post" class="form-horizontal">
    <div class="form-group">
        <label class="control-label col-md-2">Edit Code</label>
        <div class="col-md-4">
            <textarea name="text" rows="15">{$adv.text}</textarea>
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-4 col-md-offset-2">
            <input type="submit" name="submit" value="Save Changes" class="btn btn-default btn-lg">
        </div>
    </div>
</form>
{/if}

{include file="admin/footer.tpl"}