{include file="admin/header.tpl"}

<div class="page-header">
    <h1>All Files ({$total}) <small>Time Now: {$time_now}</small></h1>
</div>

<form method="post" action="file_delete.php?action=delete" id="frmImport">

    <div class="form-group">
        <label class="btn btn-default btn-sm" title="Select">
            <input type="checkbox" class="check-all">
        </label>
        <button type="submit" class="btn btn-danger">
            <span class="glyphicon glyphicon-trash"></span>
        </button>
    </div>

<table class="table table-hover">
    <thead>
        <tr class="tabletitle">
            <th>&nbsp;</th>
            <th width="6%">ID
                <a href="/admin/files.php?sort=id+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/files.php?sort=id+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>File Name
                <a href="/admin/files.php?sort=name+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/files.php?sort=name+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </td>
            <th>File Size
                <a href="/admin/files.php?sort=size+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/files.php?sort=size+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>Upload Time
                <a href="/admin/files.php?sort=time+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/files.php?sort=time+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>Downloads
                <a href="/admin/files.php?sort=downloads+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/files.php?sort=downloads+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>User Ip</th>
            <th>Last Download
                <a href="/admin/files.php?sort=last_download+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/files.php?sort=last_download+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
        </tr>
    </thead>
    <tbody>
        {section name=i loop=$files}
        <tr title="{$files[i].name}">
            <td><input type="checkbox" name="id[]" value="{$files[i].id}" class="file-ids"></td>
            <td><a href="/file/{$files[i].id}" target="_blank">{$files[i].id}</a></td>
            <td><a href="/admin/file_details.php?id={$files[i].id}">{$files[i].name|truncate:30}</a></td>
            <td>{$files[i].size}</td>
            <td>{$files[i].time}</td>
            <td>{$files[i].downloads}</td>
            <td><a href="/admin/files.php?ip={$files[i].ip}">{$files[i].ip}</a></td>
            <td>{$files[i].last_download}</td>
        </tr>
        {/section}
    </tbody>
</table>

</form>

{$page_links}

<script>
$(function(){
    $(".check-all").on("click", function(){
        var selected = $(this).is(":checked");
        $("input.file-ids").prop("checked", selected);
    });
    $("form#frmImport").on("submit", function(){
        if ($("input.file-ids:checked").length == 0) {
            alert("Please select a file to delete.");
            return false;
        } else {
            if (confirm('Are you sure you want to delete file(s)?')) {
                return true;
            }
            return false;
        }
    });
});
</script>

{include file="admin/footer.tpl"}