{include file="admin/header.tpl"}

<div class="page-header">
    <h1>Local Files ({$total}) <small>Time Now: {$time_now}</small></h1>
</div>

<form action="file_server_change.php" method="POST" id="frmImport" class="form-horizontal">

<div class="form-group">
    <div class="col-md-1">
        <label class="btn btn-default" title="Select">
                <input type="checkbox" class="check-all">
        </label>
    </div>
    <div class="col-md-4">
        <div class="input-group">
            <select name="server_id" class="form-control" required>
                <option value="">Select Server</option>
                {section name=i loop=$server_info}
                <option value='{$server_info[i].id}'>{$server_info[i].url} ({$server_info[i].ip})</option>
                {/section}
            </select>
            <div class="input-group-btn">
                <input type="submit" value="Move" class="btn btn-primary">
            </div>
        </div>
    </div>
</div>

<table class="table table-hover">
    <thead>
        <tr>
            <th>&nbsp;</th>
            <th width="6%">ID
                <a href="/admin/local_files.php?sort=id+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/local_files.php?sort=id+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>File Name
                <a href="/admin/local_files.php?sort=name+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/local_files.php?sort=name+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>File Size
                <a href="/admin/local_files.php?sort=size+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/local_files.php?sort=size+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>Upload Time
                <a href="/admin/local_files.php?sort=time+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/local_files.php?sort=time+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>Downloads
                <a href="/admin/local_files.php?sort=downloads+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/local_files.php?sort=downloads+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>User Ip</th>
            <th>Last Download
                <a href="/admin/local_files.php?sort=last_download+asc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="/admin/local_files.php?sort=last_download+desc&{$sort_extra}">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        {section name=i loop=$local_files}
        <tr title="{$local_files[i].name}">
            <td>
                <input type="checkbox" name="file_id[]" value="{$local_files[i].id}" class="file-ids">
            </td>
            <td><a href="/file/{$local_files[i].id}" target="_blank">{$local_files[i].id}</a></td>
            <td><a href="/admin/file_details.php?id={$local_files[i].id}">{$local_files[i].name|truncate:30}</a></td>
            <td>{$local_files[i].size}</td>
            <td>{$local_files[i].time}</td>
            <td>{$local_files[i].downloads}</td>
            <td><a href="/admin/local_files.php?ip={$local_files[i].ip}">{$local_files[i].ip}</a></td>
            <td>{$local_files[i].last_download}</td>
            <td>
                <div class="btn-group btn-group-sm">
                    <a href="/admin/files_edit.php?id={$local_files[i].id}" class="btn btn-primary">
                        <span class="glyphicon glyphicon-edit"></span> Edit
                    </a>
                    <a href="/admin/file_delete.php?action=delete_local&id={$local_files[i].id}" class="btn btn-danger" onclick="return confirm('Are you sure you want to remove ?');" title="Delete">
                        <span class="glyphicon glyphicon-remove-circle"></span> Del
                    </a>
                </div>
            </td>
        </tr>
        {/section}
    </tbody>
</table>

</form>

{$page_links}

<script>
$(function(){
    $(".check-all").on("click", function(){
        var selected = $(this).is(":checked");
        $("input.file-ids").prop("checked", selected);
    });
    $("form#frmImport").on("submit", function(){
        if ($("input.file-ids:checked").length == 0) {
            alert("Please select a file to move.");
            return false;
        }
    });
});
</script>
{include file="admin/footer.tpl"}