{include file="admin/header.tpl"}

<div class="page-header">
    <h1>Add New Page</h1>
</div>

<form method="post" action="" class="form-horizontal">
    <div class="form-group">
        <label class="control-label col-md-2">File Name</label>
        <div class="col-md-4">
            <div class="input-group">
                <input type="text" name="page_name" value="{if isset($smarty.request.page_name)}{$smarty.request.page_name}{/if}" class="form-control">
                <span class="input-group-addon">.html</span>
            </div>
            <span class="help-block">File Name should be in lower case. No special characters allowed other than hyphen (-).</span>
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-8">
            <textarea name="content" rows="15" class="form-control">{if isset($smarty.request.content)}{$smarty.request.content}{/if}</textarea>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Title</label>
        <div class="col-md-4">
            <input type="text" name="title" value="{if isset($smarty.request.title)}{$smarty.request.title}{/if}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Description</label>
        <div class="col-md-4">
            <input type="text" name="description" value="{if isset($smarty.request.description)}{$smarty.request.description}{/if}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Keywords</label>
        <div class="col-md-4">
            <input type="text" name="keywords" value="{if isset($smarty.request.keywords)}{$smarty.request.keywords}{/if}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Members Only</label>
        <div class="col-md-4">
            <select name="members_only" class="form-control">
                <option value="0" {if isset($smarty.request.members_only) && $smarty.request.members_only eq "0"}selected{/if}>No</option>
                <option value="1" {if isset($smarty.request.members_only) && $smarty.request.members_only eq "1"}selected{/if}>Yes</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-2 col-md-offset-2">
            <input type="submit" name="submit" value="Save Page" class="btn btn-default btn-lg">
        </div>
    </div>
</form>

{include file="admin/footer.tpl"}