{include file="admin/header.tpl"}

{if !isset($server_added)}

<div class="page-header">
    <h1>Add FTP Server</h1>
</div>

<form method="post" action="" class="form-horizontal">
    <div class="form-group">
        <label class="control-label col-md-2">Server URL</label>
        <div class="col-md-4">
            <input type="text" name="server_url" class="form-control" value="{if isset($smarty.request.server_url)}{$smarty.request.server_url}{/if}">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">FTP Server IP</label>
        <div class="col-md-4">
            <input type="text" name="server_ip" class="form-control" value="{if isset($smarty.request.server_ip)}{$smarty.request.server_ip}{/if}">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">FTP Server Username</label>
        <div class="col-md-4">
            <input type="text" name="server_username" class="form-control" value="{if isset($smarty.request.server_username)}{$smarty.request.server_username}{/if}">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">FTP Server Password</label>
        <div class="col-md-4">
            <input type="text" name="server_password" class="form-control" value="{if isset($smarty.request.server_password)}{$smarty.request.server_password}{/if}">
        </div>
    </div>
    <div class="form-group server_folder">
        <label class="control-label col-md-2">FTP Server Folder Name</label>
        <div class="col-md-4">
            <input type="text" name="server_folder" class="form-control" value="{if isset($smarty.request.server_folder)}{$smarty.request.server_folder}{/if}">
            <div class="help-block">If you are uploading to a Cpanel account, you need to enter "public_html" as folder. You can upload a test file, lets say 1.txt to the folder, then you should be able to access it with url <span class="text-nowrap">http://Server-URL/1.txt</span></div>
        </div>
    </div>
    <div class="form-group server_folder">
        <label class="control-label col-md-2">FTP Server Type</label>
        <div class="col-md-4">
            <select name="server_type" class="form-control">
                <option value="">-- Select --</option>
                {foreach from=$server_types key=i item=type}
                <option value="{$i}">{$type}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-4 col-md-offset-2">
            <input type="submit" value="Add Server" name="add_server" class="btn btn-default btn-lg">
        </div>
    </div>
</form>

{/if}

{include file="admin/footer.tpl"}