{include file="admin/header.tpl"}

<div class="page-header">
    <h1>Manage Server</h1>
</div>

<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th>Id</th>
            <th>Server Ip</th>
            <th>Server Url</th>
            <th>Username</th>
            <th>Password</th>
            <th>Folder</th>
            <th>Type</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        {section name=i loop=$server_info}
        <tr>
            <td>
                <a href="/admin/files.php?server_id={$server_info[i].id}">{$server_info[i].id}</a>
            </td>
            <td>{$server_info[i].ip}</td>
            <td>{$server_info[i].url}</td>
            <td>{$server_info[i].user_name}</td>
            <td>{$server_info[i].password}</td>
            <td>{$server_info[i].folder}</td>
            <td class="text-uppercase">{$server_info[i].type}</td>
            <td>
                <a href="/admin/server_status_change.php?id={$server_info[i].id}">
                    {if $server_info[i].active == "0"}
                        <div class="btn btn-sm btn-danger"><span class="glyphicon glyphicon-remove"></span> Disabled</div>
                    {else}
                        <div class="btn btn-sm btn-success"><span class="glyphicon glyphicon-ok"></span> Enabled</div>
                    {/if}
                </a>
            </td>
            <td>
                <a href="/admin/server_manage_edit.php?id={$server_info[i].id}" class="btn btn-sm btn-primary">
                    <span class="glyphicon glyphicon-edit"></span> Edit
                </a>
                <a href="" data-server-id="{$server_info[i].id}" class="btn btn-sm btn-warning btn-server-test" data-toggle="modal" data-target="#serverTestModal">
                    <span class="glyphicon glyphicon-transfer"></span> Test
                </a>
            </td>
        </tr>
        {/section}
    </tbody>
</table>

<div class="modal fade" tabindex="-1" role="dialog" id="serverTestModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">Test FTP Server Connection</h4>
            </div>
            <div class="modal-body">
                <p>Connecting...</p>
            </div>
        </div>
    </div>
</div>

<script>
$(".btn-server-test").on("click", function(e){
    e.preventDefault();
    var server_id = $(this).attr("data-server-id");
    $(".modal-body").html("<p>Connecting...</p>");
    $.get("server_test_ajax.php?id=" + server_id, function(data){
        $(".modal-body").html(data);
    });
});
</script>

{include file="admin/footer.tpl"}