{include file="admin/header.tpl"}

<div class="page-header">
    <h1>Edit Server</h1>
</div>

<form method="post" action="" class="form-horizontal">
    <div class="form-group">
        <label class="control-label col-md-2">Server ID</label>
        <div class="col-md-4">
            <p class="form-control-static">{$server_info.id}</p>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Server IP</label>
        <div class="col-md-4">
            <input type="text"name="server_ip" value="{$server_info.ip}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Server URL</label>
        <div class="col-md-4">
            <input type="text" name="server_url" value="{$server_info.url}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Username</label>
        <div class="col-md-4">
            <input type="text" name="user_name" value="{$server_info.user_name}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Password</label>
        <div class="col-md-4">
            <input type="text" name="password" value="{$server_info.password}" class="form-control">
        </div>
    </div>
    <div class="form-group{if $server_info.secdownload eq "1"} hidden{/if}">
        <label class="control-label col-md-2">Server Folder Name</label>
        <div class="col-md-4">
            <input type="text" name="folder" value="{$server_info.folder}" class="form-control">
        </div>
    </div>
    <div class="form-group server_folder">
        <label class="control-label col-md-2">Server Type</label>
        <div class="col-md-4">
            <select name="type" class="form-control">
                {foreach from=$server_types key=i item=type}
                <option value="{$i}"{if $i eq $server_info.type} selected{/if}>{$type}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Status</label>
        <div class="col-md-4">
            <select name="status" class="form-control">
                <option value="1" {if $server_info.active == 1}selected{/if}>Enabled</option>
                <option value="0" {if $server_info.active == 0}selected{/if}>Disabled</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-4 col-md-offset-2">
            <input type="submit" name="edit_server" value="Update" class="btn btn-default btn-lg">
        </div>
    </div>
</form>

{include file="admin/footer.tpl"}