{include file="admin/header.tpl"}

<div class="page-header">
    <h1>User Details</h1>
</div>

<table class="table table-striped table-bordered">
    <tr>
        <th>User ID</th>
        <td>{$user_info.id}</td>
    </tr>
    <tr>
        <th>User Name</th>
        <td>{$user_info.username}</td>
    </tr>
    <tr>
        <th>Email Address</th>
        <td>{$user_info.email}</td>
    </tr>
    <tr>
        <th>Account Status</th>
        <td>{if $user_info.active eq 1}Active{else}Inactive{/if}</td>
    </tr>
    <tr>
        <th>Total Uploads</th>
        <td>
            <a href="/admin/files.php?uid={$user_info.id}">{$user_info.total_uploads}</a>
        </td>
    </tr>
    <tr>
        <th>Points Download</th>
        <td>
            <a href="/admin/stats_user.php?id={$user_info.id}">{$user_info.points_download}</a>
        </td>
    </tr>
    <tr>
        <th>Points Referral</th>
        <td>
            {if $user_info.points_referral ne 0}
            <a href="/admin/user_friends.php?username={$user_info.username}">{$user_info.points_referral}</a>
            {else}
            {$user_info.points_referral}
            {/if}
        </td>
    </tr>
    <tr>
        <th>Payment Send</th>
        <td>{$user_info.payment_send}</td>
    </tr>
    <tr>
        <th>Payment Method</th>
        <td>{$user_info.payment_method}</td>
    </tr>
    <tr>
        <th>Payment Email</th>
        <td>{$user_info.payment_email}</td>
    </tr>
    <tr>
        <th>Signup IP</th>
        <td>{$user_info.ip}</td>
    </tr>
    <tr>
        <th>Last Login</th>
        <td>{$login_time}</td>
    </tr>
    {if $user_info.referred_by ne ''}
    <tr>
        <th>Referred By</th>
        <td>{$user_info.referred_by}</td>
    </tr>
    {/if}
    <tr>
        <td colspan="2" align="center">
            <a href="/admin/user_edit.php?uid={$user_info.id}" class="btn btn-sm btn-primary">
                <span class="glyphicon glyphicon-edit"></span> Edit
            </a>
            <a href="/admin/user_delete.php?id={$user_info.id}" class="btn btn-sm btn-danger">
                <span class="glyphicon glyphicon-remove-circle"></span> Delete
            </a>
            {if $user_info.total_uploads ne 0}
            <a href="/admin/user_files.php?uid={$user_info.id}" class="btn btn-sm btn-primary">
                <span class="glyphicon glyphicon-file"></span> Files
            </a>
            {/if}
            <a href="/admin/user_login.php?username={$user_info.username}" class="btn btn-sm btn-info" target="_blank">
                <span class="glyphicon glyphicon-log-in"></span> Login
            </a>
        </td>
    </tr>
</table>

{include file="admin/footer.tpl"}