{include file="admin/header.tpl"}

<div class="page-header">
    <h1>{$user_status} Users ({$total})</h1>
</div>

<table class="table table-hover">
    <thead>
        <tr>
            <th>ID</th>
            <th>Username</th>
            <th>Email</th>
            <th>Uplods
                 <a href="users.php?active={$active}&sort=total_uploads+asc">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="users.php?active={$active}&sort=total_uploads+desc">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>Downloads
                <a href="users.php?active={$active}&sort=points_download+asc">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="users.php?active={$active}&sort=points_download+desc">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>Referrals
                <a href="users.php?active={$active}&sort=points_referral+asc">
                    <span class="glyphicon glyphicon-circle-arrow-up"></span>
                </a>
                <a href="users.php?active={$active}&sort=points_referral+desc">
                    <span class="glyphicon glyphicon-circle-arrow-down"></span>
                </a>
            </th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        {section name=i loop=$user}
        <tr>
            <td>{$user[i].id}</td>
            <td><a href="user_details.php?id={$user[i].id}">{$user[i].username}</a></td>
            <td>{$user[i].email}</td>
            <td><a href="files.php?uid={$user[i].id}">{$user[i].total_uploads}</td>
            <td>{$user[i].points_download}</td>
            <td>{if $user[i].points_referral ne '0'}<a href="user_friends.php?username={$user[i].username}">{$user[i].points_referral}</a>{else}{$user[i].points_referral}{/if}</td>
            <td>
                <div class="btn-group btn-group-sm">
                    <a href="user_edit.php?uid={$user[i].id}" class="btn btn-sm btn-primary">
                        <span class="glyphicon glyphicon-edit"></span> Edit
                    </a>
                    <a href="user_delete.php?id={$user[i].id}" class="btn btn-sm btn-danger" onclick="return confirm('Are you sure you want to remove ?');">
                        <span class="glyphicon glyphicon-remove-circle"></span> Delete
                    </a>
                    <a href="user_login.php?username={$user[i].username}" class="btn btn-sm btn-info" target="_blank">
                        <span class="glyphicon glyphicon-log-in"></span> Login
                    </a>
                </div>
            </td>
        </tr>
        {/section}
    </tbody>
</table>

{$page_links}

{include file="admin/footer.tpl"}
