<div class="container">
{if isset($show_download_page) && $show_download_page ne "0"}
<div class="page-header">
    <h1>
        {$file_info.name} ({$file_info.size})
    </h1>
</div>


    <div class="row">
        <div class="col-md-5 col-md-offset-1">
            {include file='ads/download_top_1.tpl'}
        </div>
        <div class="col-md-5">
            {include file='ads/download_top_2.tpl'}
        </div>
    </div>

    <br>

{if !isset($file_url)}

    {if isset($show_view_link)}
    <p class="text-center">
        <a href="/view/{$smarty.get.id}" class="btn btn-lg btn-default">
            <span class="text-success">
                <span class="glyphicon glyphicon-zoom-in"></span> View File
            </span>
        </a>
    </p>
    <hr>
    {/if}

    <form method="POST" action="">
        <input type="hidden" name="id" value="{$id}">
        <div id="dl" class="text-center col-md-4 col-md-offset-4">
            <noscript>If you're seeing this message, you need to enable JavaScript.</noscript>
            <div class="form-group hidden dl-captcha">
                {$captcha_code}
            </div>
            <div class="form-group">
                <input type="submit" class="btn btn-warning btn-lg btn-counter" value="Please wait...">
            </div>
        </div>
    </form>
    <div class="clearfix"></div>
    <hr>

    <div class="text-center">
        <h3>Download Link:</h3>
        <textarea name="html" cols="50" rows="1">{$baseurl}/file/{$file_info.id}</textarea>
    </div>

    {literal}
    <script>
    var dnl_counter = 15;
    var captcha_type = "{/literal}{$captcha_type}{literal}";
    var download_captcha = "{/literal}{$download_captcha}{literal}";
    function countdown() {
    	if ((0 <= 100) || (0 > 0)) {
            dnl_counter--;

    		if(dnl_counter == 0) {
                $("#dl .btn-counter").parent().remove();
                if (download_captcha == 1) {
                    $("#dl .dl-captcha").removeClass("hidden");
                    if (captcha_type != 'recaptcha') {
                        $("#dl .dl-captcha").append('<input type="text" name="captcha" class="form-control input-lg" placeholder="Enter code">');
                    }
                }
                $("#dl").append('<div class="form-group"><input type="submit" name="download" value="<< Download Now >>" class="btn btn-success btn-lg"></div>');
    		}

    		if(dnl_counter > 0) {
    			$("#dl .btn-counter").val('Please wait ' + dnl_counter + ' seconds..');
    			setTimeout('countdown()',1000);
    		}
    	}
    }
    countdown();
    </script>
    {/literal}
</div>

{else}

<br>

<div align="center">
    <a href="{$file_url}">
        <img src="{$baseurl}/templates/images/download_btn.jpg" border="0">
        <br>
        Click here to download
    </a>
</div>

<script>
str = "{$file_url}"
mydoc = window.open(str);
</script>

{/if}


{else}

<p class="text-center">
    {include file='ads/file_not_found.tpl'}
</p>

{/if}
