<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>{if $html_title ne ''}{$html_title} | {/if}{$site_name}</title>
<meta name="description" content="{if $html_description ne ''}{$html_description} {/if}{$meta_description}">
<meta name="keywords" content="{if $html_keywords ne ''}{$html_keywords} {/if}{$meta_keywords}">
<link rel="stylesheet" href="/css/bootstrap.min.css">
<link rel="stylesheet" href="/templates/css/style.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.1/css/font-awesome.min.css">
<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/jasny-bootstrap/3.1.3/css/jasny-bootstrap.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.1.0/animate.min.css">
<link href='https://fonts.googleapis.com/css?family=Open+Sans:300,400,700' rel='stylesheet' type='text/css'>
<script src="/js/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jasny-bootstrap/3.1.3/js/jasny-bootstrap.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/waypoints/2.0.4/waypoints.min.js"></script>
<script src="/js/animation.js"></script>
<script>
var baseurl='{$baseurl}';
</script>
</head>
<body>

<div class="mainmenu">
<nav class="navbar navbar-default">
        <div class="container">
          <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="{$baseurl}"><img src="{$baseurl}/templates/images/logo.png" alt="{$site_name}"></a>
          </div>
          <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav navbar-right">
                <!-- <li><a href="{$baseurl}/ftp_upload_info.php">FTP</a></li> -->
                <li><a href="{$baseurl}/pages/faq.html">Support</a></li>
                 {if isset($smarty.session.USERNAME) && $smarty.session.USERNAME ne ""}
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                        My Account <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="/my_account.php">My Files</a></li>
                        <li><a href="/earnings.php">My Earnings</a></li>
                        <li><a href="/refer_friend.php">Refer Friends</a></li>
                        <li><a href="/friends.php">My Referrals</a></li>
                    </ul>
                </li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                        <span class="glyphicon glyphicon-cog"></span> <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="/change_password.php">Change Password</a></li>
                        <li><a href="/profile_edit.php">Change Email</a></li>
                        <li><a href="/payment_setup.php">Payment Settings</a></li>
                    </ul>
                </li>
                <li><a href="{$baseurl}/logout.php">Logout <small>[{$smarty.session.USERNAME}]</small></a></li>
                {else}
                 <li><a href="{$baseurl}/login.php">Sign in</a></li>
                <li class="signup-button"><a href="{$baseurl}/signup.php">Sign up today</a></li>
                {/if}
            </ul>
          </div><!--/.nav-collapse -->
        </div><!--/.container-fluid -->
      </nav>
 </div>
