<div class="container">
<div class="page-header">
    <h1>My Files</h1>
</div>

<form method="post" id="frm" action="/file_delete.php">

<button class="btn btn-default" id="select-all" title="Select All">
    <input type="checkbox">
</button>
<button class="btn btn-danger" title="Delete">
    <span class="glyphicon glyphicon-trash"></span>
</button>

<div class="clearfix">&nbsp;</div>

<table class="table table-striped">
    <thead>
        <tr>
            <th></th>
            <th>File Name</th>
            <th>Uploaded Date</th>
            <th>File Size</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        {section name=i loop=$user_file_info}
        <tr>
            <td><input type="checkbox" name="ids[]" value="{$user_file_info[i].id}" rel="fileids"></td>
            <td>
                <a href="{$baseurl}/file/{$user_file_info[i].id}" target="_blank">{$user_file_info[i].name}</a>
            </td>
            <td>{$user_file_info[i].time|date_format}</td>
            <td>{$user_file_info[i].size}</td>
            <td>
                <a href="/upload_success.php?id={$user_file_info[i].id}" class="btn btn-primary btn-sm">
                    <span class="glyphicon glyphicon-link"></span> Links
                </a>
            </td>
        </tr>
        {sectionelse}
        <tr>
            <td colspan="5">
                <strong>You have not uploaded any files yet!</strong>
            </td>
        </tr>
        {/section}

        {if $links ne ""}
        <tr>
            <td colspan="5" align="right">
                {$links}
            </td>
        </tr>
        {/if}
    </tbody>
</table>

</form>

<script>
$("#select-all").click(function(){
    var inputChecked = $(this).children().is(":checked");
    if (inputChecked == false){
        $(this).children().prop("checked", true);
        inputChecked = true;
    } else {
        $(this).children().prop("checked", false);
        inputChecked = false;
    }
    $("input[rel=fileids]").each(function(){
        $(this).prop("checked", inputChecked);
    });
    return false;
});
$("form#frm").submit(function(){
    var inputChecked = false;
    $("form#frm input[rel=fileids]").each(function(){
        if ($(this).is(":checked")) {
            inputChecked = true;
        }
    });

    if (inputChecked == true) {
        if (confirm('Are you sure you want to delete files?')){
            return true;
        }
        return false;
    }
    return false;
});
</script>