<div class="container">
{if $smarty.session.UID ne ""}
<div class="page-header">
    <h1>Payment Settings</h1>
</div>

<form method="post" action="" name="myaccount" id="myaccount" onSubmit="return validateUpdate();" class="form-horizontal">
    <div class="form-group">
        <label class="control-label col-md-3">Paypal or Moneybookers E-Mail:</label>
        <div class="col-md-4">
            <input type="text" id="payment_email" name="payment_email" value="{$payment_email}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-3">Payment Method:</label>
        <div class="col-md-4">
            <select name="payment_method" id="payment_method" class="form-control" onChange="onChange(this.form.payment_method.value);" required>
                <option value="">-- Select --</option>
                <option value="PAYPAL.COM" {if $payment_method eq "PAYPAL.COM"}selected{/if}>PAYPAL.COM</option>
                <option value="MONEYBOOKERS.COM" {if $payment_method eq "MONEYBOOKERS.COM"}selected{/if}>MONEYBOOKERS.COM</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-4 col-md-offset-3">
            <input type="submit" name="payment_setup" value="Save Settings" class="btn btn-default btn-lg">
        </div>
    </div>
</form>
{literal}
<script type="text/javascript">

function onChange(key) {
    if(key == "") {
        alert('Select a payment method');
        return false;
    }
    return true;
}

function validateUpdate() {
    var frm = document.myaccount;
     if(frm.payment_email.value == "") {
        alert('Please enter your email');
        return false;
    } else {
        var filter=/^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i
        if (!filter.test(frm.payment_email.value)){
            alert("Please enter a valid email ID.");
            return false;
        }
    }
    if(frm.payment_method.value == "") {
        alert('Select a payment method');
        return false;
    }
    return true;
}
</script>
{/literal}
{/if}