{include file="admin/header.tpl"}

<div class="page-header">
    <h1>File Search</h1>
</div>

<form action="" method="post" class="form-horizontal">
    <div class="form-group">
        <label class="control-label col-md-2">File ID</label>
        <div class="col-md-4">
            <input type="text" name="id" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">File Name</label>
        <div class="col-md-4">
            <input type="text" name="name" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">File size above</label>
        <div class="col-md-2">
            <div class="input-group">
                <input type="text" name="size" class="form-control">
                <span class="input-group-addon">MB</span>
            </div>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">No Downloads since</label>
        <div class="col-md-2">
            <div class="input-group">
                <input type="text" name="no_downloads" class="form-control">
                <span class="input-group-addon">Day</span>
            </div>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Server ID</label>
        <div class="col-md-4">
            <select name="server_id" class="form-control">
                <option value="">-- Select --</option>
                {section name=i loop=$server_info}
                <option value="{$server_info[i].id}">{$server_info[i].url}</option>
                {/section}
            </select>
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-4 col-md-offset-2">
            <input type="submit" name="submit" value="Search" class="btn btn-default btn-lg">
        </div>
    </div>
</form>

{if isset($files)}

<div class="page-header">
    <h2>Search Results ({$total})</h2>
</div>

<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th width="5%">ID</th>
            <th>File Name</th>
            <th>File Size</th>
            <th>Upload Time</th>
            <th>Downloads</th>
            <th>User Ip</th>
            <th>Last Download</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        {section name=i loop=$files}
        <tr class="{cycle values="tablerow1,tablerow2"}">
            <td><a href="/file/{$files[i].id}" target="_blank">{$files[i].id}</a></td>
            <td><a href="/admin/file_details.php?id={$files[i].id}">{$files[i].name}</a></td>
            <td>{$files[i].size}</td>
            <td>{$files[i].time|date_format}</td>
            <td>{$files[i].downloads}</td>
            <td>{$files[i].ip}</td>
            <td>{if $files[i].last_download eq 0}Never{else}{$files[i].last_download|date_format}{/if}</td>
            <td align="center">
                <a href="/admin/file_delete.php?action=delete&id[]={$files[i].id}" class="btn btn-sm btn-danger" onclick="return confirm('Are you sure you want to delete this file');">
                    <span class="glyphicon glyphicon-remove-circle"></span> Delete
                </a>
            </td>
        </tr>
        {/section}
    </tbody>
</table>

{/if}

{include file="admin/footer.tpl"}