<!Doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>{$site_name} Admin</title>
<link href="/css/bootstrap.min.css" rel="stylesheet">
<link href="/templates/css/admin.css" rel="stylesheet">
<style>
body {
  padding-top: 50px;
}
</style>
<script src="/js/jquery.min.js"></script>
</head>
<body>

<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="/">{$site_name}</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            {include file="admin/menu.tpl"}
        </div>
    </div>
</nav>

<div class="container">
    {if isset($msg) && $msg ne ""}
    <div class="clearfix">&nbsp;</div>
    <div class="alert alert-success">{$msg}</div>
    {/if}
    {if isset($err) && $err ne ""}
    <div class="clearfix">&nbsp;</div>
    <div class="alert alert-danger">{$err}</div>
    {/if}