<!DOCTYPE html>
<html lang="en">
<head>
<title>{$site_name} Admin</title>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link href="/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="/templates/css/admin.css">
<body class="body">
<div class="container">
    <div class="admin-login col-md-6 col-md-offset-3">
        <h1  class="text-center">{$site_name}</h1>
        <h2 class="text-center">Login to Admin Area</h2>
        {if isset($err) && $err ne ""}
        <div class="clearfix">&nbsp;</div>
        <div class="alert alert-danger">{$err}</div>
        {/if}
        {if isset($msg) && $msg ne ""}
        <div class="clearfix">&nbsp;</div>
        <div class="alert alert-success">{$msg}</div>
        {/if}

        <form  action="index.php" method="post" class="form-signin" role="form">
            {if isset($login_error) && $login_error ne ''}
            <div class="alert alert-danger">{$login_error}</div>
            {/if}

            <div class="form-group">
                <input type="text" name="username" class="form-control input-lg" placeholder="Username" required autofocus>
            </div>

            <div class="form-group">
                <input type="password" name="password" class="form-control input-lg" placeholder="Password" required>
            </div>

            <div class="form-group">
                <p>Forgot your password? <a href="lost_password.php"><strong>Click Here</strong></a></p>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <button class="btn btn-lg login-btn btn-block" type="submit" name="submit">Log In</button>
                </div>
                <div class="col-md-6">
                    <button class="btn btn-lg btn-reset btn-block" type="reset" name="reset">Reset</button>
                </div>
            </div>
        </form>
    </div>

    <div class="col-md-12 text-center">
        <p>Powered by <a href="https://www.buyscripts.in/file-hosting" target="_blank">fShare</a></p>
    </div>
</div>

</body>
</html>