{include file="admin/header.tpl"}

<div class="page-header">
    <h1>List Pages ({$total})</h1>
</div>

<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th>Id</th>
            <th>Name</th>
            <th>Title</th>
            <th>Counter</th>
            <th>MembersOnly</th>
            <th width="20%">Action</th>
        </tr>
    </thead>
    <tbody>
        {section name=i loop=$pages}
        <tr>
            <td>{$pages[i].id}</td>
            <td>{$pages[i].name}</td>
            <td>{$pages[i].title}</td>
            <td>{$pages[i].counter}</td>
            <td>
                {if $pages[i].members_only eq "1"} Yes
                {else} No
                {/if}
            </td>
            <td>
                <a href="/pages/{$pages[i].name}.html" class="btn btn-sm btn-info" target="_blank">
                    <span class="glyphicon glyphicon-file"></span> View
                </a>
                <a href="/admin/page_edit.php?id={$pages[i].id}" class="btn btn-sm btn-primary">
                    <span class="glyphicon glyphicon-edit"></span> Edit
                </a>
                <a href="/admin/page.php?action=del&id={$pages[i].id}" class="btn btn-sm btn-danger" onClick='Javascript:return confirm("Are you sure want to delete?");'>
                    <span class="glyphicon glyphicon-remove-circle"></span> Delete
                </a>
            </td>
        </tr>
        {/section}
    </tbody>
</table>

{include file="admin/footer.tpl"}