{include file="admin/header.tpl"}

<div class="page-header">
    <h1>Payment Requests</h1>
</div>

{if isset($payment_requests)}

<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th>Username</th>
            <th>Amount</th>
            <th>Date</th>
            <th>Pay</th>
        </tr>
    </thead>
    <tbody>
        {section name=i loop=$payment_requests}
        {insert name=id_to_name assign=username id=$payment_requests[i].user_id}
        <tr>
            <td><a href="/admin/user_details.php?id={$payment_requests[i].user_id}">{$username}</td>
            <td>{$payment_requests[i].amount}</td>
            <td>{$payment_requests[i].date|date_format}</td>
            <td>
                <a href="/admin/payment_add.php?username={$username}&amount={$payment_requests[i].amount}">Pay</a>&nbsp;
                <a href="/admin/payment_deny.php?id={$payment_requests[i].user_id}&pid={$payment_requests[i].id}">Deny</a>&nbsp;
                <a href="/admin/payment_request.php?action=delete&id={$payment_requests[i].id}" onclick="return confirm('Are you sure you want to delete the request');">Delete</a>
            </td>
        </tr>
        <tr>
            <td colspan="4" bgcolor="#ffffcc">{$payment_requests[i].message}</td>
        </tr>
        {/section}
    </tbody>
</table>

{else}

<center>There is no payment requests found.</center>

{/if}

{include file="admin/footer.tpl"}