{include file="admin/header.tpl"}

<div class="page-header">
    <h1>Site Settings</h1>
</div>

<form action="settings.php" method="post" class="form-horizontal" role="form">
    <div class="form-group">
        <label class="control-label col-md-2">Site Name</label>
        <div class="col-md-4">
            <input type="text" name="site_name" value="{$site_name}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Meta Description</label>
        <div class="col-md-4">
            <input type="text" name="meta_description" value="{$meta_description}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Meta Keywords</label>
        <div class="col-md-4">
            <input type="text" name="meta_keywords" value="{$meta_keywords}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Admin Email</label>
        <div class="col-md-4">
            <input type="email" name="admin_email" value="{$admin_email}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">File Transfer</label>
        <div class="col-md-4">
            <select name="upload_processing" class="form-control">
                <option value="1" {if $upload_processing eq "1"}selected="selected"{/if}>Realtime</option>
                <option value="0" {if $upload_processing eq "0"}selected="selected"{/if}>Background</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">List Per Items</label>
        <div class="col-md-4">
            <input type="text" name="admin_listing_per_page" value="{$admin_listing_per_page}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Download Captcha</label>
        <div class="col-md-4">
            <select name="download_captcha" class="form-control">
                <option value="1" {if $download_captcha eq "1"}selected="selected"{/if}>Enable</option>
                <option value="0" {if $download_captcha eq "0"}selected="selected"{/if}>Disable</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Pay per Download</label>
        <div class="col-md-4">
            <input type="text" name="pay_per_download" value="{$pay_per_download}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Pay per Referral</label>
        <div class="col-md-4">
            <input type="text" name="pay_per_referral" value="{$pay_per_referral}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">User Rewards</label>
        <div class="col-md-4">
            <select name="user_rewards" class="form-control">
                <option value="1" {if $user_rewards eq "1"}selected="selected"{/if}>Enable</option>
                <option value="0" {if $user_rewards eq "0"}selected="selected"{/if}>Disable</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Pay per Signup</label>
        <div class="col-md-4">
            <input type="text" name="pay_signup" value="{$pay_signup}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Maximum file size</label>
        <div class="col-md-4">
            <input type="text" name="max_file_size" value="{$max_file_size}" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Referral Payment</label>
        <div class="col-md-4">
            <select name="referral_payment" class="form-control">
                <option value="1" {if $referral_payment eq "1"}selected="selected"{/if}>On Activation</option>
                <option value="2" {if $referral_payment eq "2"}selected="selected"{/if}>On First Download</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Signup Verification</label>
        <div class="col-md-4">
            <select name="signup_verify" class="form-control">
                <option value="1" {if $signup_verify eq "1"}selected="selected"{/if}>Enable</option>
                <option value="0" {if $signup_verify eq "0"}selected="selected"{/if}>Disable</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Upload Progress Bar</label>
        <div class="col-md-4">
            <select name="upload_progress_bar" class="form-control">
                <option value="uber" {if $upload_progress_bar eq "uber"}selected="selected"{/if}>Uber-Uploader</option>
                <option value="html5" {if $upload_progress_bar eq "html5"}selected="selected"{/if}>HTML5</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">URL Upload</label>
        <div class="col-md-4">
            <select name="url_upload" class="form-control">
                <option value="0" {if $url_upload eq "0"}selected="selected"{/if}>Disabled</option>
                <option value="1" {if $url_upload eq "1"}selected="selected"{/if}>Enabled</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Captcha Type</label>
        <div class="col-md-4">
            <select name="captcha_type" id="captcha_type" class="form-control">
                <option value="system"{if $captcha_type eq "system"} selected{/if}>System</option>
                <option value="recaptcha"{if $captcha_type eq "recaptcha"} selected{/if}>reCaptcha</option>
            </select>
        </div>
    </div>
    <div class="form-group recaptcha-keys hidden">
        <label class="control-label col-md-2">reCaptcha Site Key</label>
        <div class="col-md-4">
            <input type="text" name="recaptcha_site_key" id="recaptcha_site_key" value="{$recaptcha_site_key}" class="form-control">
        </div>
    </div>
    <div class="form-group recaptcha-keys hidden">
        <label class="control-label col-md-2">reCaptcha Secret Key</label>
        <div class="col-md-4">
            <input type="text" name="recaptcha_secret_key" id="recaptcha_secret_key" value="{$recaptcha_secret_key}" class="form-control">
            <div class="help-block text-nowrap">Get reCaptcha keys at <a href="https://www.google.com/recaptcha/admin" target="_blank">https://www.google.com/recaptcha/admin</a></div>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">Addthis.com Profile ID</label>
        <div class="col-md-4">
            <input type="text" name="addthis_profile_id" id="addthis_profile_id" value="{$addthis_profile_id}" class="form-control" placeholder="ra-529x3uq8dvhfiq">
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-4 col-md-offset-2">
            <input type="submit" name="submit" value="Update" class="btn btn-default btn-lg">
        </div>
    </div>
</form>

<script>
$(function(){
    var captcha_type = $("select#captcha_type").val();
    if (captcha_type == 'recaptcha') {
        $(".recaptcha-keys").removeClass("hidden");
    }
    $("select#captcha_type").on("change", function(){
        if ($(this).val() == 'recaptcha') {
            $(".recaptcha-keys").removeClass("hidden");
        } else {
            $(".recaptcha-keys").addClass("hidden");
        }
    });
});
</script>

{include file="admin/footer.tpl"}