{include file="admin/header.tpl"}

<div class="page-header">
    <h1>Search Users</h1>
</div>

<form action="" method="post" class="form-horizontal" role="form">
    <input type="hidden" name="a" value="Search">

    <div class="form-group">
        <label class="control-label col-md-2">User ID</label>
        <div class="col-md-4">
            <input type="text" name="id" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">User Name</label>
        <div class="col-md-4">
            <input type="text" name="username" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">E-Mail</label>
        <div class="col-md-4">
            <input type="email" name="email" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-md-2">IP</label>
        <div class="col-md-4">
            <input type="text" name="ip" class="form-control">
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-4 col-md-offset-2">
            <input type="submit" name="submit" value="Search" class="btn btn-default btn-lg">
        </div>
    </div>
</form>

{if isset($user)}

<div class="page-header">
    <h2>Search Results ({$total})</h2>
</div>

<table class="table table-hover">
    <thead>
        <tr>
            <th>ID</th>
            <th>Username</th>
            <th>Email</th>
            <th>Uplods</th>
            <th>Downloads</th>
            <th>Referrals</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        {section name=i loop=$user}
        <tr>
            <td>{$user[i].id}</td>
            <td>
                <a href="user_details.php?id={$user[i].id}">{$user[i].username}</a>
            </td>
            <td>{$user[i].email}</td>
            <td>
                <a href="files.php?uid={$user[i].id}">{$user[i].total_uploads}</a>
            </td>
            <td>
                <a href="stats_user.php?id={$user[i].id}">{$user[i].points_download}</a>
            </td>
            <td>
                {if $user[i].points_referral ne '0'}
                <a href="user_friends.php?username={$user[i].username}">{$user[i].points_referral}</a>
                {else}
                {$user[i].points_referral}
                {/if}
            </td>
            <td>
                <div class="btn-group btn-group-sm">
                    <a href="user_edit.php?uid={$user[i].id}" class="btn btn-sm btn-primary">
                        <span class="glyphicon glyphicon-edit"></span> Edit
                    </a>
                    <a href="user_delete.php?id={$user[i].id}" class="btn btn-sm btn-danger" onclick="return confirm('Are you sure you want to remove ?');">
                        <span class="glyphicon glyphicon-remove-circle"></span> Delete
                    </a>
                    <a href="user_login.php?username={$user[i].username}" class="btn btn-sm btn-info" target="_blank">
                        <span class="glyphicon glyphicon-log-in"></span> Login
                    </a>
                </div>
            </td>
        </tr>
        {/section}
    </tbody>
</table>

{/if}

{include file="admin/footer.tpl"}