<div class="hero-unit text-center">
    <div class="container">
<h2 class="page-title">Upload your <span>Files<span></h2>

   </div>
</div>

<div class="home-content">
<div class="container">
    <div class="clearfix">
       <div class="advt text-center">
            {if isset($view) && $view ne 1}
                {include file="ads/ad_header.tpl"}
            {else}
                {include file="ads/ad_header_view.tpl"}
            {/if}
       </div>
{include file='ads/index_top.tpl'}

{if $upload_progress_bar eq 'uber'}

<script>
var path_to_link_script = "{$path_to_link_script}";
var path_to_set_progress_script = "{$path_to_set_progress_script}";
var path_to_get_progress_script = "{$path_to_get_progress_script}";
var path_to_upload_script = "{$path_to_upload_script}";
var multi_configs_enabled = {$multi_configs_enabled};
var check_allow_extensions = {$check_allow_extensions};
var allow_extensions = /{$allow_extensions}$/i;
var check_file_name_format = {$check_file_name_format};
var check_null_file_count = {$check_null_file_count};
var check_duplicate_file_count = {$check_duplicate_file_count};
var max_upload_slots = {$max_upload_slots};
var cedric_progress_bar = {$cedric_progress_bar};
var progress_bar_width = {$progress_bar_width};
var show_percent_complete = {$show_percent_complete};
var show_files_uploaded = {$show_files_uploaded};
var show_current_position = {$show_current_position};
var show_elapsed_time = {$show_elapsed_time};
var show_est_time_left = {$show_est_time_left};
var show_est_speed = {$show_est_speed};
</script>

<script language="javascript" type="text/javascript" src="{$baseurl}/js/ubr_file_upload.js"></script>
{/if}

<div class="row file-browse anim-down">
    <div class="col-md-4 col-md-offset-4">
    <h3 class="sub-page-title text-center">Browse files to upload</h3>
        <div class="tab-content">
            <div role="tabpanel" class="tab-pane active" id="file-upload">
                <br>
                {if $upload_progress_bar eq 'uber'}
                <form name="form_upload" id="form_upload" method="post" enctype="multipart/form-data" action="#" class="form-horizontal">
                    <div class="form-group">  
                        <span class="input-group-btn">
                            <div class="btn btn-blue file-browse-input btn-lg">
                                <span class="glyphicon glyphicon-folder-open"></span>
                                <span class="file-browse-input-title">Browse</span>
                                <input class="input-lg" type="file" name="upfile_0" id="upfile_0" onChange="addUploadSlot(1)" onkeypress="return handleKey(event)" value=""/>
                                {if isset($smarty.session.UID) && $smarty.session.UID ne ""}
                                <div id="upload_slots"></div>
                                <span class="help-block text-left">Sum of all uploaded files should not be exceeded more than <strong>{$max_file_size} MB</strong>.</span>
                                {/if}
                            </div>
                        </span>     
                    </div>

                    <div class="form-group">
                        <div class="col-md-3">
                            <input type="button" id="upload_button" name="upload_button" value="Upload" onClick="linkUpload();" class="btn btn-lg btn-default btn-block">
                        </div>
                    </div>
                </form>
                {else}

                <form id="myForm" action="upload_file.php" method="post" enctype="multipart/form-data" class="form-horizontal">
                    <div class="form-group">
                        <div class="file-browse-input">
                            <label for="upfile_0">
                                <img src="{$baseurl}/templates/images/browse.png">
                            </label>
                            <input type="file" class="input-lg" name="upfile_0" id="upfile_0"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-12 text-center">
                            <input type="submit" id="upload_button" name="upload_button" value="Upload" class="btn btn-lg btn-default">
                        </div>
                    </div>
                </form>
                {/if}
                {if $upload_progress_bar eq 'uber'}
                <div class="text-warning" id="ubr_alert"></div>
                <div id="progress_bar" class="col-md-offset-3" style="display: none;width: {$progress_bar_width}px;">
                    <div class="help-block">
                        Upload-Speed: <span id="speed">0</span> KB/s.
                        Time remaining: <span id="remain">0</span>
                    </div>
                    <center>
                        <div class="bar1" id="upload_status_wrap">
                            <div class="bar2" id="upload_status"></div>
                        </div>
                    </center>
                    <small class="help-block">
                        <b><span id="percent">0%</span></b>
                        (<span id="current">0</span> KB of <span id="total_kbytes"></span> KB)
                    </small>
                    <br>
                </div>
                {else}
                <div>
                    <div class="progress hidden">
                        <div class="progress-bar bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                            <span class="percent">0%</span>
                        </div>
                    </div>
                    <div id="status"></div>
                </div>
                <script>var allowed_file_types = "{$allowed_file_types}";</script>
                <script src="js/jquery.form.js"></script>
                <script src="js/upload_progress.js"></script>
                {/if}
            </div>
            {if $url_upload eq "1"}
            <div role="tabpanel" class="tab-pane" id="link-upload">
                <br>
                <form method="post" action="link_upload.php" class="form-horizontal" role="form">
                    <div class="form-group">
                        <div class="col-md-7">
                            <input class="form-control input-lg" type="url" name="file_url" id="file_url" placeholder="File URL" required>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-3">
                            <input type="submit" name="upload_button" value="Upload" class="btn btn-lg btn-blue btn-block">
                        </div>
                    </div>
                </form>
            </div>
            {/if}
        </div>
    </div>
</div>



<script>
$("input#upfile_0").on("change", function(){
    var filename = $("input#upfile_0").val();
    filename = filename.split(/[\\/]/).pop();
    $("input.image-preview-filename").val(filename);
});
</script>
</div>
