<div class="container">
<div class="page-header">
    <h1>{$file_info.name}</h1>
</div>

<p class="text-center">{include file='ads/view_top.tpl'}</p>
<br>

<div class="row">

    {if $file_type eq "image"}

    <img src="{$file_url}" class="img-responsive center-block">

    {elseif $file_type eq "flv" || $file_type eq "mp4"}

    <div id="mediaplayer">
        <a href="http://www.macromedia.com/go/getflashplayer">Get the Flash Player</a> to see this player.
    </div>
    <script type="text/javascript" src="{$baseurl}/player/jwplayer.js"></script>
    <script type="text/javascript">
    var playerInstance = jwplayer("mediaplayer");
    playerInstance.setup({
        file: "{$file_url}",
        width: "100%",
        aspectratio: "16:9",
        autostart: true,
    });
    </script>

    {elseif $file_type eq "mp3"}

    <div id="container">
        <a href="http://www.macromedia.com/go/getflashplayer">Get the Flash Player</a> to see this player.
    </div>

    <script type="text/javascript" src="{$baseurl}/player/swfobject.js"></script>
    <script type="text/javascript">
        var s1 = new SWFObject("{$baseurl}/player/player.swf","mediaplayer","524","20","7");
        s1.addParam("allowfullscreen","true");
        s1.addVariable("width","524");
        s1.addVariable("height","20");
        s1.addVariable("autostart","true");
        s1.addVariable("file","{$file_url}");
        s1.write("container");
    </script>

    {elseif $file_type eq "wmv"}

    <OBJECT id='mediaPlayer' width="524" height="450"
    classid='CLSID:22d6f312-b0f6-11d0-94ab-0080c74c7e95'
    codebase='http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=5,1,52,701'
    standby='Loading Microsoft Windows Media Player components...' type='application/x-oleobject'>
    <param name='fileName' value="{$file_url}">
    <param name='animationatStart' value='1'>
    <param name='transparentatStart' value='1'>
    <param name='autoStart' value='1'>
    <param name='ShowControls' value='1'>
    <param name='ShowDisplay' value='0'>
    <param name='ShowStatusBar' value='1'>
    <param name='loop' value='0'>

    <EMBED type='application/x-mplayer2'
    pluginspage='http://microsoft.com/windows/mediaplayer/en/download/'
    id='mediaPlayer' name='mediaPlayer' displaysize='4' autosize='0'
    bgcolor='darkblue' showcontrols='1' showtracker='1'
    showdisplay='0' showstatusbar='1' videoborder3d='0' width="524" height="450"
    src="{$file_url}" autostart='1' designtimesp='5311' loop='0'>
    </EMBED>
    </OBJECT>

    {/if}
    <br>

    <p class="text-center">
        <a href="{$baseurl}/file/{$smarty.get.id}" class="btn btn-success btn-lg">
            <span class="glyphicon glyphicon-download"></span> Download File
        </a>
    </p>

    <div class="row">
        <div class="col-md-12">
            <div class="page-header">
                <h2>File Details</h2>
            </div>
            <p><strong>File Name:</strong> {$file_info.name}</p>
            <p><strong>File Size:</strong> {$file_info.size}</p>
            </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="page-header">
                <h2>Embed Code</h2>
            </div>
        </div>
        <div class="col-md-6">
            <h4>Download Link:</h4>
            <div class="input-group">
                <input type="text" class="form-control" id="download-link" value="{$baseurl}/file/{$file_info.id}">
                <div class="input-group-btn">
                    <button class="btn btn-success" data-clipboard-action="copy" data-clipboard-target="#download-link">
                    <i class="fa fa-clipboard fa-fw"></i>
                    </button>
                </div>
            </div>

               {if $file_type eq 'image'}

            <h4>Image Link - HTML:</h4>
            <div class="input-group">
                <input type="text" class="form-control" id="image-link" value="<a href=&quot;https://www.lionhost.co/view/18&quot; target=&quot;_blank&quot;><img src=&quot;https://www.lionhost.co/files/d95865ca/thumb_FL-31-12-2018-09-21-57.jpg&quot; border=&quot;0&quot;></a>">
                <div class="input-group-btn">
                    <button class="btn btn-success" data-clipboard-action="copy" data-clipboard-target="#image-link">
                    <i class="fa fa-clipboard fa-fw"></i>
                    </button>
                </div>
            </div>
                    {/if}

            <h4>Image Link - BB Code:</h4>
            <div class="input-group">
                <input type="text" class="form-control" id="bb-code" value="<a href=&quot;[url={$baseurl}/view/{$file_info.id}][img]{$thumb_url}[/img][/url]&quot;></a>">
                <div class="input-group-btn">
                    <button class="btn btn-success" data-clipboard-action="copy" data-clipboard-target="#bb-code">
                    <i class="fa fa-clipboard fa-fw"></i>
                    </button>
                </div>
            </div>

        </div>

    <div class="col-md-6">
        {if isset($show_view_link)}

        <h4>View Link:</h4>
        <div class="input-group">
            <input type="text" class="form-control" id="view-link" value="{$baseurl}/view/{$file_info.id}">
            <div class="input-group-btn">
                <button class="btn btn-success" data-clipboard-action="copy" data-clipboard-target="#view-link">
                <i class="fa fa-clipboard fa-fw"></i>
                </button>
            </div>
        </div>    

         {/if}

        <h4>Download Link in HTML:</h4>
        <div class="input-group">
            <input type="text" class="form-control" id="download-link-html" value="<a href=&quot;https://www.lionhost.co/file/18&quot; target=&quot;_blank&quot;>https://www.lionhost.co/file/18</a>">
            <div class="input-group-btn">
                <button class="btn btn-success" data-clipboard-action="copy" data-clipboard-target="#download-link-html">
                <i class="fa fa-clipboard fa-fw"></i>
                </button>
            </div>
        </div>

        <h4>Download Link in Forum code - BB Code:</h4>
        <div class="input-group">
            <input type="text" class="form-control" id="forum-code" value=[URL={$baseurl}/file/{$file_info.id}]{$baseurl}/file/{$file_info.id}[/URL]>
            <div class="input-group-btn">
                <button class="btn btn-success" data-clipboard-target="#forum-code">
                <i class="fa fa-clipboard fa-fw"></i>
                </button>
            </div>
        </div>
            
    </div>

            {if $addthis_profile_id ne ""}
            <div class="page-header">
                <h2>Share</h2>
            </div>
            <p>
                <div class="addthis_sharing_toolbox"></div>
                <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid={$addthis_profile_id}"></script>
            </p>
            {/if}
    </div>
</div>

<br>
<p class="text-center">
    {include file='ads/view_footer.tpl'}
</p>